MetacatUI - Story #6206

Plot data packages on map layer
11/14/2013 08:33 AM - ben leinfelder

Status: Closed Start date: 11/07/2013
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.3.0 Spent time: 0.00 hour
Description

Our approach:

Map only the packages in the given search result "page" (currently set to 25 but perhaps bumped to 100).
Retrieve the raw NSEW bounding box from SOLR

Calculate the center

Plot using aggregating library that shows more detail as zoom level is increased.

Subtasks:

Task # 6201: Display an info bubble for each marker on hover Closed
Task # 6200: Add a marker to the map for each result item with spatial data Closed
Task # 6220: Find JS library for centroid calculation Resolved
Task # 6221: Borrow spatial aggregation library from d1_dashboard Rejected
History

#1 - 11/15/2013 07:19 AM - ben leinfelder
- Description updated

- Assignee set to Lauren Walker

#2 - 11/15/2013 04:06 PM - ben leinfelder

- Status changed from New to Closed

First pass is in!
